# SPEC file for AdPlug-XMMS, primary target is the Fedora Extras
# RPM repository.

# Package name is adplug-xmms upstream, but Fedora Extras policies
# count it as a subpackage to XMMS so it has been renamed xmms-adplug.
# For the source tree to match, adplug-xmms was unpacked, the source
# directory renamed xmms-adplug and the result repacked to a .tar.gz
# file with this name. For this reason the Source: field below is
# not accurate. To download the source, get adplug-xmms from the
# same source.

Name:		xmms-adplug
Version:	1.1
Release:	2%{?dist}
Summary:	An XMMS plugin for AdLib (OPL2) music built on AdPlug
URL:		http://adplug.sourceforge.net/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/adplug-xmms/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	LGPL
BuildRequires:	adplug-devel
BuildRequires:	libstdc++-devel
BuildRequires:  xmms-devel

%description
XMMS-AdPlug is an XMMS plug-in for AdLib (OPL2) music utilizing
the AdPlug library. (The upstream name of this package is AdPlug-XMMS.)

%prep
%setup -q

%build
export CXXFLAGS=-I%{_includedir}/libbinio
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# We don't want this.
rm -f $RPM_BUILD_ROOT%{_libdir}/xmms/Input/libadplugxmms.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/xmms/Input/libadplugxmms.so
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Mon Jan 23 2006 Linus Walleij <triad@df.lth.se> 1.1-2
- Package name should be names as subpackage to XMMS. (Ville)

* Thu Jan 19 2006 Linus Walleij <triad@df.lth.se> 1.1-1
- First try at an AdPlug-XMMS RPM.
